GET /virus/taxon/{taxon}/dataset_report

nih.gov:ncbi-datasets-api

Summary: Get a virus data report by taxon
Operation ID: virus_reports_by_taxon
Auth: unknown
Description

Get a virus data report by taxon. By default, in paged JSON format, but also available in tabular (accept: text/tab-separated-values) or JSON Lines (accept: application/x-ndjson) formats.

Parameters (14)

filter.annotated_only (boolean, query, optional, default: False)

If true, limit results to annotated genomes.

filter.complete_only (boolean, query, optional, default: False)

Limit to genomes designated as complete, as defined by the submitter.

filter.geo_location (string, query, optional)

Limit to genomes collected from the specified geographic location.

filter.host (string, query, optional)

Limit to genomes isolated from the specified host species (NCBI Taxonomy ID, common or scientific name).

filter.pangolin_classification (string, query, optional)

Limit to SARS-CoV-2 genomes from the specified Pango lineage.

filter.refseq_only (boolean, query, optional, default: False)

If true, limit results to RefSeq genomes.

filter.released_since (string, query, optional)
filter.updated_since (string, query, optional)
filter.usa_state (string, query, optional)

Limit to genomes collected from the specified U.S. state (two-letter abbreviation).

page_size (integer, query, optional, default: 20)

The maximum number of virus data reports to return. Default is 20 and maximum is 1000. If the number of results exceeds the page size, `page_token` can be used to retrieve the remaining results.

page_token (string, query, optional)

A page token is returned when the results count exceeds `page size`. Use this token along with previous request parameters to retrieve the next page of results. When `page_token` is empty, all results have been retrieved.

returned_content (?, query, optional)

Return complete virus reports or nucleotide accessions only

table_fields (array, query, optional)

Specify which fields to include in the tabular report

taxon (string, path, required)

NCBI Taxonomy ID or name (common or scientific) at any taxonomic rank

Examples (1)

TitleTypeURLAction
Get a virus data report by taxon openapi-spec https://api.ncbi.nlm.nih.gov/datasets/v2/virus/taxon/1335626/dataset_report?filter.refseq_only=True&filter.annotated_only=True&filter.released_since=2025-01-15&filter.updated_since=2025-01-15&filter.host=9606&filter.pangolin_classification=LP.8.1&filter.geo_location=USA&filter.usa_state=CA&filter.complete_only=True&table_fields=['accession', 'is-complete', 'is-annotated']

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 09:35:39.783683 200 358ms